grk::plugin_encode_user_callback_info Struct Reference

`#include <plugin_interface.h>`

## Public Attributes

const char * | input_file_name
bool | outputFileNameIsRelative
const char * | output_file_name
grk_cparameters * | compressor_parameters
grk_image * | image
grk_plugin_tile * | tile
int32_t | error_code

## Member Data Documentation

## compressor_parameters

grk_cparameters* grk::plugin_encode_user_callback_info::compressor_parameters

## error_code

int32_t grk::plugin_encode_user_callback_info::error_code

## image

grk_image* grk::plugin_encode_user_callback_info::image

## input_file_name

const char* grk::plugin_encode_user_callback_info::input_file_name

## output_file_name

const char* grk::plugin_encode_user_callback_info::output_file_name

## outputFileNameIsRelative

bool grk::plugin_encode_user_callback_info::outputFileNameIsRelative

## tile

grk_plugin_tile* grk::plugin_encode_user_callback_info::tile

The documentation for this struct was generated from the following file:

- plugin_interface.h